Bug 184006 - [patch] audio/alsa-lib: convert FLOAT samples automatically
[patch] audio/alsa-lib: convert FLOAT samples automatically
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 18:50 UTC by Jan Beich (N/A in 06/27..07/14)
Modified: 2013-12-14 14:50 UTC (History)
0 users

See Also:


Attachments
convert_float.diff (1011 bytes, patch)
2013-11-15 18:50 UTC, Jan Beich (N/A in 06/27..07/14)
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich (N/A in 06/27..07/14) freebsd_committer 2013-11-15 18:50:00 UTC
Some apps (e.g. linux-firefox with ports/169896) don't check with ALSA
which sample formats are supported and just feed whatever they like,
assuming the underlying device supports it.

While here also fix mixer device for OSS plugin. It should be /dev/dsp
according to 4Front OSS wiki. The only works with ARIFF_OSS enabled
but the volume is reset on close(). audio/oss doesn't work either way:
the new (OSSv4) way to control mixer is via SNDCTL_MIX_* ioctls.

How-To-Repeat: # audio/oss is too broken to care
$ mixer
$ amixer
ctl_oss: MIXER_CAPS error: Invalid argument

# without patch
$ amixer
ALSA lib simple_none.c:1549:(simple_add1) helem (MIXER,'Capture Volume',0,0,0) appears twice or more
amixer: Mixer default load error: Invalid argument

# with patch
$ amixer
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 100
  Mono:
  Front Left: Playback 45 [45%]
  Front Right: Playback 45 [45%]
Simple mixer control 'Capture',0
  Capabilities: cvolume
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 100
  Front Left: Capture 45 [45%]
  Front Right: Capture 45 [45%]

# ARIFF_OSS disable, without patch
$ aplay -v a.wav
Playing WAVE 'a.wav' : Float 32 bit Little Endian, Rate 48000 Hz, Stereo
aplay: set_params:1244: Sample format non available
Available formats:
- U8
- S16_LE
- S16_BE
- MU_LAW

# ARIFF_OSS disable, with patch
$ aplay -v a.wav
Playing WAVE 'a.wav' : Float 32 bit Little Endian, Rate 48000 Hz, Stereo
Plug PCM: Linear Integer <-> Linear Float conversion PCM (S16_LE)
Its setup is:
  stream       : PLAYBACK
  access       : RW_INTERLEAVED
  format       : FLOAT_LE
  subformat    : STD
  channels     : 2
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 32
  buffer_size  : 2097152
  period_size  : 524288
  period_time  : 10922666
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 524288
  period_event : 0
  start_threshold  : 2097152
  stop_threshold   : 2097152
  silence_threshold: 0
  silence_size : 0
  boundary     : 4611686018427387904
Slave: ALSA <-> OSS PCM I/O Plugin
Its setup is:
  stream       : PLAYBACK
  access       : MMAP_INTERLEAVED
  format       : S16_LE
  subformat    : STD
  channels     : 2
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 16
  buffer_size  : 2097152
  period_size  : 524288
  period_time  : 10922666
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 524288
  period_event : 0
  start_threshold  : 2097152
  stop_threshold   : 2097152
  silence_threshold: 0
  silence_size : 0
  boundary     : 4611686018427387904
^CAborted by signal Interrupt...

# ARIFF_OSS enabled, without patch
$ aplay -v a.wav
Playing WAVE 'a.wav' : Float 32 bit Little Endian, Rate 48000 Hz, Stereo
aplay: set_params:1244: Sample format non available
Available formats:
- S8
- U8
- S16_LE
- S16_BE
- U16_LE
- U16_BE
- S24_LE
- S24_BE
- U24_LE
- U24_BE
- S32_LE
- S32_BE
- U32_LE
- U32_BE
- MU_LAW
- A_LAW
- S24_3LE
- S24_3BE
- U24_3LE
- U24_3BE
- S20_3LE
- S20_3BE
- U20_3LE
- U20_3BE
- S18_3LE
- S18_3BE
- U18_3LE
- U18_3BE

# ARIFF_OSS enabled, with patch
$ aplay -v foo.wav
Playing WAVE 'foo.wav' : Float 32 bit Little Endian, Rate 48000 Hz, Stereo
Plug PCM: Linear Integer <-> Linear Float conversion PCM (S32_LE)
Its setup is:
  stream       : PLAYBACK
  access       : RW_INTERLEAVED
  format       : FLOAT_LE
  subformat    : STD
  channels     : 2
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 32
  buffer_size  : 16383
  period_size  : 4095
  period_time  : 85333
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 4095
  period_event : 0
  start_threshold  : 16383
  stop_threshold   : 16383
  silence_threshold: 0
  silence_size : 0
  boundary     : 9222809086901354496
Slave: ALSA <-> OSS PCM I/O Plugin
Its setup is:
  stream       : PLAYBACK
  access       : MMAP_INTERLEAVED
  format       : S32_LE
  subformat    : STD
  channels     : 2
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 32
  buffer_size  : 16383
  period_size  : 4095
  period_time  : 85333
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 4095
  period_event : 0
  start_threshold  : 16383
  stop_threshold   : 16383
  silence_threshold: 0
  silence_size : 0
  boundary     : 9222809086901354496
^CAborted by signal Interrupt...
Comment 1 Edwin Groothuis freebsd_committer 2013-11-15 18:50:07 UTC
Maintainer of audio/alsa-lib,

Please note that PR ports/184006 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184006

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-11-15 18:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter freebsd_committer 2013-12-14 13:42:21 UTC
Author: flo
Date: Sat Dec 14 13:42:06 2013
New Revision: 336446
URL: http://svnweb.freebsd.org/changeset/ports/336446

Log:
  Update to nspr 4.10.2
  Update to nss 3.15.3.1
  Update firefox-esr and thunderbird to 24.2.0
  Update firefox to 26.0
  Update seamonkey to 2.23
  
  - catch up with directory renames since USES=webplugins was introduced;
    fixes plugins not being automatically enabled after install
  - linux-firefox and linux-seamonkey can play HTML5 audio [2][3] and
    measure about:memory usage, again
  - dom.ipc.plugins.enabled->true no longer crash linux-firefox which makes
    some flash sites work again; as there's no nspluginwrapper in-between
    the infamous "youtube issue" never occurs
  - install DEBUG with symbols [3] and describe the option better [4]
  - enable dumping about:memory upon kill -65, kill -66 and GC/CC log
    upon kill -67 to a file under /tmp directory; linux-firefox uses
    kill -34, kill -35 and kill -36 respectively
  
  PR:		ports/183861 [1]
  PR:		ports/184006 [2]
  PR:		ports/169896 [3]
  PR:		ports/184285 [3]
  PR:		ports/184286 [4]
  Security:	dd116b19-64b3-11e3-868f-0025905a4771
  In collaboration with: Jan Beich <jbeich@tormail.org>

Added:
  head/mail/thunderbird/files/patch-bug885538   (contents, props changed)
  head/mail/thunderbird/files/patch-bug945046   (contents, props changed)
  head/mail/thunderbird/files/patch-bug946560   (contents, props changed)
  head/www/firefox-esr/files/patch-bug945046   (contents, props changed)
  head/www/firefox-esr/files/patch-bug946560   (contents, props changed)
  head/www/firefox/files/patch-bug945046   (contents, props changed)
  head/www/firefox/files/patch-bug946560   (contents, props changed)
  head/www/firefox/files/patch-bug947862   (contents, props changed)
  head/www/libxul/files/patch-bug945046   (contents, props changed)
  head/www/libxul/files/patch-bug946560   (contents, props changed)
  head/www/seamonkey/files/patch-bug945046   (contents, props changed)
  head/www/seamonkey/files/patch-bug946560   (contents, props changed)
  head/www/seamonkey/files/patch-bug947862   (contents, props changed)
Deleted:
  head/mail/thunderbird/files/extra-bug780531
  head/www/firefox-esr/files/extra-bug780531
  head/www/firefox/Makefile.webplugins
  head/www/firefox/files/extra-bug780531
  head/www/firefox/files/patch-bug807492
  head/www/firefox/files/patch-bug851992
  head/www/firefox/files/patch-bug853301
  head/www/firefox/files/patch-bug876156
  head/www/firefox/files/patch-bug886181
  head/www/firefox/files/patch-bug910875
  head/www/firefox/files/patch-bug916216
  head/www/firefox/files/patch-bug918177
  head/www/libxul/files/extra-bug780531
  head/www/seamonkey/files/extra-bug780531
  head/www/seamonkey/files/patch-bug807492
  head/www/seamonkey/files/patch-bug851992
  head/www/seamonkey/files/patch-bug876156
  head/www/seamonkey/files/patch-bug886181
  head/www/seamonkey/files/patch-bug910875
  head/www/seamonkey/files/patch-bug916216
  head/www/seamonkey/files/patch-bug918177
Modified:
  head/Mk/bsd.gecko.mk
  head/devel/nspr/Makefile
  head/devel/nspr/distinfo
  head/mail/linux-thunderbird/Makefile
  head/mail/linux-thunderbird/distinfo
  head/mail/linux-thunderbird/files/linux-thunderbird.desktop.in   (contents, props changed)
  head/mail/linux-thunderbird/pkg-plist
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/Makefile.lang
  head/mail/thunderbird-i18n/Makefile.option
  head/mail/thunderbird-i18n/distinfo
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird/files/patch-ldap-sdks-c-sdk-ldap-libraries-libprldap-Makefile.in
  head/mail/thunderbird/files/patch-mail-app-nsMailApp.cpp   (contents, props changed)
  head/mail/thunderbird/files/thunderbird.desktop.in   (contents, props changed)
  head/security/ca_root_nss/Makefile
  head/security/ca_root_nss/distinfo
  head/security/nss/Makefile
  head/security/nss/distinfo
  head/security/vuxml/vuln.xml
  head/www/firefox-esr-i18n/Makefile
  head/www/firefox-esr-i18n/Makefile.lang
  head/www/firefox-esr-i18n/Makefile.option
  head/www/firefox-esr-i18n/distinfo
  head/www/firefox-esr/Makefile
  head/www/firefox-esr/distinfo
  head/www/firefox-esr/files/firefox.desktop.in   (contents, props changed)
  head/www/firefox-esr/files/patch-browser-app-nsBrowserApp.cpp
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/Makefile.lang
  head/www/firefox-i18n/Makefile.option
  head/www/firefox-i18n/distinfo
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/firefox.desktop.in   (contents, props changed)
  head/www/firefox/files/patch-browser-app-nsBrowserApp.cpp   (contents, props changed)
  head/www/firefox/files/patch-config-baseconfig.mk
  head/www/libxul/Makefile
  head/www/libxul/distinfo
  head/www/libxul/files/patch-build_unix_run-mozilla.sh   (contents, props changed)
  head/www/libxul/files/patch-xulrunner-stub-nsXULStub.cpp   (contents, props changed)
  head/www/linux-firefox/Makefile
  head/www/linux-firefox/distinfo
  head/www/linux-firefox/files/linux-firefox.desktop.in   (contents, props changed)
  head/www/linux-firefox/pkg-plist
  head/www/linux-seamonkey/Makefile
  head/www/linux-seamonkey/Makefile.common
  head/www/linux-seamonkey/distinfo
  head/www/linux-seamonkey/files/linux-seamonkey.desktop.in   (contents, props changed)
  head/www/linux-seamonkey/pkg-plist
  head/www/seamonkey-i18n/Makefile
  head/www/seamonkey-i18n/Makefile.lang
  head/www/seamonkey-i18n/Makefile.option
  head/www/seamonkey-i18n/distinfo
  head/www/seamonkey/Makefile
  head/www/seamonkey/distinfo
  head/www/seamonkey/files/patch-config-baseconfig.mk
  head/www/seamonkey/files/patch-ldap-sdks-c-sdk-ldap-libraries-libprldap-Makefile.in
  head/www/seamonkey/files/patch-suite-app-nsSuiteApp.cpp   (contents, props changed)
  head/www/seamonkey/files/seamonkey.desktop.in   (contents, props changed)

Modified: head/Mk/bsd.gecko.mk
==============================================================================
--- head/Mk/bsd.gecko.mk	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/Mk/bsd.gecko.mk	Sat Dec 14 13:42:06 2013	(r336446)
@@ -176,7 +176,7 @@ Gecko_Pre_Include=			bsd.gecko.mk
 #                         is given by the maintainer via the port or by the
 #                         user via defined variable try to find the highest
 #                         stable installed version.
-#                         Available values: yes 24+ 25+ 24 25+
+#                         Available values: yes 24+ 26+ 24 26
 #                         NOTE:
 #                         default value 24 is used in case of USE_FIREFOX=yes
 #
@@ -187,9 +187,9 @@ Gecko_Pre_Include=			bsd.gecko.mk
 #                         version is given by the maintainer via the port
 #                         or by the user via defined variable try to find
 #                         the highest stable installed version.
-#                         Available values: yes 22+ 22
+#                         Available values: yes 23+ 23
 #                         NOTE:
-#                         default value 22 is used in case of USE_SEAMONKEY=yes
+#                         default value 23 is used in case of USE_SEAMONKEY=yes
 #
 # USE_SEAMONKEY_BUILD     Add buildtime dependency on SeaMonkey.
 #                         Available values: see USE_SEAMONKEY
@@ -218,11 +218,11 @@ _FIREFOX_BUILD_DEPENDS=		yes
 .endif
 
 _FIREFOX_DEFAULT_VERSION=	24
-_FIREFOX_VERSIONS=			24 25
-_FIREFOX_RANGE_VERSIONS=	24+ 25+
+_FIREFOX_VERSIONS=			24 26
+_FIREFOX_RANGE_VERSIONS=	24+ 26+
 
 # For specifying [24, ..]+
-_FIREFOX_25P=	25 ${_FIREFOX_24P}
+_FIREFOX_26P=	26 ${_FIREFOX_24P}
 _FIREFOX_24P=	24
 
 # Set the default Firefox version and check if USE_FIREFOX=yes was given
@@ -269,7 +269,7 @@ IGNORE=			cannot install: unknown Firefo
 
 # Dependence lines for different Firefox versions
 24_DEPENDS=		${LOCALBASE}/lib/firefox/firefox:${PORTSDIR}/www/firefox-esr
-25_DEPENDS=		${LOCALBASE}/lib/firefox/firefox:${PORTSDIR}/www/firefox
+26_DEPENDS=		${LOCALBASE}/lib/firefox/firefox:${PORTSDIR}/www/firefox
 
 # Add dependencies
 .if defined(USE_FIREFOX)
@@ -291,12 +291,12 @@ USE_SEAMONKEY:=				${USE_SEAMONKEY_BUILD
 _SEAMONKEY_BUILD_DEPENDS=	yes
 .endif
 
-_SEAMONKEY_DEFAULT_VERSION=	22
-_SEAMONKEY_VERSIONS=		22
-_SEAMONKEY_RANGE_VERSIONS=	22+
+_SEAMONKEY_DEFAULT_VERSION=	23
+_SEAMONKEY_VERSIONS=		23
+_SEAMONKEY_RANGE_VERSIONS=	23+
 
-# For specifying [22, ..]+
-_SEAMONKEY_22P=	22
+# For specifying [23, ..]+
+_SEAMONKEY_23P=	23
 
 # Set the default SeaMonkey version and check if USE_SEAMONKEY=yes was given
 .if ${USE_SEAMONKEY} == "yes"
@@ -338,7 +338,7 @@ IGNORE=			cannot install: unknown SeaMon
 .endif
 
 # Dependence lines for different SeaMonkey versions
-22_DEPENDS=		${LOCALBASE}/lib/seamonkey/seamonkey:${PORTSDIR}/www/seamonkey
+23_DEPENDS=		${LOCALBASE}/lib/seamonkey/seamonkey:${PORTSDIR}/www/seamonkey
 
 # Add dependencies
 .if defined(USE_SEAMONKEY)
@@ -540,7 +540,7 @@ MOZ_EXPORT+=	${CONFIGURE_ENV} \
 MOZ_OPTIONS+=	--prefix="${FAKEDIR}"
 
 CPPFLAGS+=		-isystem${LOCALBASE}/include
-LDFLAGS+=		-L${LOCALBASE}/lib -Wl,-z,origin -Wl,-rpath,\\\$$\$$ORIGIN
+LDFLAGS+=		-L${LOCALBASE}/lib -Wl,-R,${PREFIX}/lib/${MOZILLA}
 
 # prefer base clang, for lang/clang{,-devel} see ports/177224
 .if ${CC} == "cc" && (exists(/usr/bin/clang) && ${OSVERSION} >= 900014)
@@ -662,12 +662,8 @@ MOZ_OPTIONS+=	--with-system-zlib		\
 		--disable-updater		\
 		--disable-pedantic
 
-.if ${MOZILLA_VER:R:R} < 25 && !exists(${FILESDIR}/patch-bug803480)
-MOZ_OPTIONS+=	--disable-necko-wifi
-.else
 # XXX stolen from www/chromium
 MOZ_EXPORT+=	MOZ_GOOGLE_API_KEY=AIzaSyBsp9n41JLW8jCokwn7vhoaMejDFRd1mp8
-.endif
 
 .if ${PORT_OPTIONS:MGTK3}
 MOZ_TOOLKIT=	cairo-gtk3
@@ -758,9 +754,6 @@ ALL_TARGET=	profiledbuild
 LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib
 RUN_DEPENDS+=	${LOCALBASE}/lib/alsa-lib/libasound_module_pcm_oss.so:${PORTSDIR}/audio/alsa-plugins
 MOZ_OPTIONS+=	--enable-alsa
-. if exists(${FILESDIR}/extra-bug780531)
-EXTRA_PATCHES+=	${FILESDIR}/extra-bug780531
-. endif
 .endif
 
 .if ${PORT_OPTIONS:MPULSEAUDIO}
@@ -959,8 +952,9 @@ gecko-post-patch:
 		${MOZSRC}/xpcom/io/SpecialSystemDirectory.cpp
 	@${REINPLACE_CMD} -e 's|/etc|${PREFIX}&|g' \
 		${MOZSRC}/xpcom/build/nsXPCOMPrivate.h
-	@${REINPLACE_CMD} -e 's|/usr|${LOCALBASE}|g' \
+	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|g' \
 		-e 's|mozilla/plugins|browser_plugins|g' \
+		-e 's|share/mozilla/extensions|lib/xpi|g' \
 		${MOZSRC}/xpcom/io/nsAppFileLocationProvider.cpp \
 		${MOZSRC}/toolkit/xre/nsXREDirProvider.cpp
 	@${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \

Modified: head/devel/nspr/Makefile
==============================================================================
--- head/devel/nspr/Makefile	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/devel/nspr/Makefile	Sat Dec 14 13:42:06 2013	(r336446)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	nspr
-DISTVERSION=	4.10.1
+DISTVERSION=	4.10.2
 CATEGORIES=	devel
 MASTER_SITES=	MOZILLA/${PORTNAME}/releases/v${PORTVERSION}/src
 

Modified: head/devel/nspr/distinfo
==============================================================================
--- head/devel/nspr/distinfo	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/devel/nspr/distinfo	Sat Dec 14 13:42:06 2013	(r336446)
@@ -1,2 +1,2 @@
-SHA256 (nspr-4.10.1.tar.gz) = 0c2f8dc265f1e9b2600fd519430a1f960799888857bbb1538343a1b16ba41b20
-SIZE (nspr-4.10.1.tar.gz) = 1102858
+SHA256 (nspr-4.10.2.tar.gz) = 4d09ee67a6fb57d3c646098b0ac7fd1e31be1c2c2ca57cd2ad28b42e6d3cf400
+SIZE (nspr-4.10.2.tar.gz) = 1103130

Modified: head/mail/linux-thunderbird/Makefile
==============================================================================
--- head/mail/linux-thunderbird/Makefile	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/linux-thunderbird/Makefile	Sat Dec 14 13:42:06 2013	(r336446)
@@ -2,8 +2,8 @@
 # $FreeBSD$
 
 PORTNAME=	thunderbird
-DISTVERSION=	24.0
-CATEGORIES=	mail
+DISTVERSION=	24.2.0
+CATEGORIES=	mail news net-im ipv6
 DISTNAME=	${PORTNAME}-${DISTVERSION}
 MASTER_SITES=	MOZILLA/${PORTNAME}/releases/${DISTVERSION}/linux-i686/en-US
 
@@ -11,10 +11,9 @@ MAINTAINER=	gecko@FreeBSD.org
 COMMENT=	Mozilla Thunderbird is standalone mail and news that stands above
 
 USE_BZIP2=	yes
-REPLACE_GRE=	yes
+WANT_GTK218=	yes
 
 USE_LINUX_APPS=	dbusglib dbuslibs alsalib alsa-plugins-oss
 
-NO_STAGE=	yes
 .include "${.CURDIR}/../../www/linux-seamonkey/Makefile.common"
 .include <bsd.port.mk>

Modified: head/mail/linux-thunderbird/distinfo
==============================================================================
--- head/mail/linux-thunderbird/distinfo	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/linux-thunderbird/distinfo	Sat Dec 14 13:42:06 2013	(r336446)
@@ -1,2 +1,6 @@
-SHA256 (thunderbird-24.0.tar.bz2) = f642a6978cf0c5d1c54b97f86c11e79c8ae2d0a3ee38cff296320a9a5c8911a0
-SIZE (thunderbird-24.0.tar.bz2) = 28964786
+SHA256 (thunderbird-24.2.0.tar.bz2) = d3b1a1049cf39cfecdfa26ad043520b6cb180d517995c7261aebc50786d61335
+SIZE (thunderbird-24.2.0.tar.bz2) = 28959142
+SHA256 (glib2-2.22.2-2.fc12.i686.rpm) = e3b459c245ec14e7248e9de4b506963a4773407f3e58835db5070d0ed02ecc99
+SIZE (glib2-2.22.2-2.fc12.i686.rpm) = 1162908
+SHA256 (gtk2-2.18.3-19.fc12.i686.rpm) = aea9cf7ffe9c8dae0faa2bf3d2aa1b2117c55dce03da72dcce8c268279ec0a4b
+SIZE (gtk2-2.18.3-19.fc12.i686.rpm) = 3198708

Modified: head/mail/linux-thunderbird/files/linux-thunderbird.desktop.in
==============================================================================
--- head/mail/linux-thunderbird/files/linux-thunderbird.desktop.in	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/linux-thunderbird/files/linux-thunderbird.desktop.in	Sat Dec 14 13:42:06 2013	(r336446)
@@ -3,9 +3,9 @@ Encoding=UTF-8
 Name=Thunderbird (Linux)
 GenericName=Mail Client (Linux)
 Comment=Mail client and News Reader
-Exec=linux-thunderbird %U
+Exec=linux-thunderbird %u
 Icon=%%PREFIX%%/lib/%%APP_NAME%%/chrome/icons/default/default.xpm
 StartupNotify=false
 Terminal=false
 Type=Application
-Categories=Application;Network;
+Categories=Network;Email;News;InstantMessaging;

Modified: head/mail/linux-thunderbird/pkg-plist
==============================================================================
--- head/mail/linux-thunderbird/pkg-plist	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/linux-thunderbird/pkg-plist	Sat Dec 14 13:42:06 2013	(r336446)
@@ -34,6 +34,10 @@ lib/%%APP_NAME%%/isp/movemail.rdf
 lib/%%APP_NAME%%/isp/rss.rdf
 lib/%%APP_NAME%%/libfreebl3.chk
 lib/%%APP_NAME%%/libfreebl3.so
+%%GTK218%%lib/%%APP_NAME%%/libgdk-x11-2.0.so.0
+%%GTK218%%lib/%%APP_NAME%%/libgio-2.0.so.0
+%%GTK218%%lib/%%APP_NAME%%/libglib-2.0.so.0
+%%GTK218%%lib/%%APP_NAME%%/libgtk-x11-2.0.so.0
 lib/%%APP_NAME%%/libldap60.so
 lib/%%APP_NAME%%/libldif60.so
 lib/%%APP_NAME%%/libmozalloc.so
@@ -56,6 +60,7 @@ lib/%%APP_NAME%%/mozilla-xremote-client
 lib/%%APP_NAME%%/omni.ja
 lib/%%APP_NAME%%/platform.ini
 lib/%%APP_NAME%%/plugin-container
+lib/%%APP_NAME%%/plugins
 lib/%%APP_NAME%%/precomplete
 lib/%%APP_NAME%%/removed-files
 lib/%%APP_NAME%%/run-mozilla.sh
@@ -71,9 +76,7 @@ lib/%%APP_NAME%%/thunderbird-bin
 lib/%%APP_NAME%%/update-settings.ini
 lib/%%APP_NAME%%/updater
 lib/%%APP_NAME%%/updater.ini
-@exec /bin/cp -R %%LOCALBASE%%/lib/npapi/symlinks/%%APP_NAME%%/  %D/lib/%%APP_NAME%%/plugins/ 2>/dev/null || true
 @exec /bin/cp -R %%LOCALBASE%%/lib/xpi/symlinks/%%APP_NAME%%/  %D/lib/%%APP_NAME%%/extensions/ 2>/dev/null || true
-@unexec /usr/bin/find %D/lib/%%APP_NAME%%/plugins/  -depth 1 -type l -delete 2>/dev/null || true
 @unexec /usr/bin/find %D/lib/%%APP_NAME%%/extensions/  -depth 1 -type l -delete 2>/dev/null || true
 @dirrm lib/%%APP_NAME%%/chrome/icons/default
 @dirrm lib/%%APP_NAME%%/chrome/icons
@@ -87,6 +90,5 @@ lib/%%APP_NAME%%/updater.ini
 @dirrm lib/%%APP_NAME%%/extensions
 @dirrm lib/%%APP_NAME%%/icons
 @dirrm lib/%%APP_NAME%%/isp
-@dirrm lib/%%APP_NAME%%/plugins
 @dirrm lib/%%APP_NAME%%/searchplugins
 @dirrm lib/%%APP_NAME%%

Modified: head/mail/thunderbird-i18n/Makefile
==============================================================================
--- head/mail/thunderbird-i18n/Makefile	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/thunderbird-i18n/Makefile	Sat Dec 14 13:42:06 2013	(r336446)
@@ -2,8 +2,8 @@
 # $FreeBSD$
 
 PORTNAME=	thunderbird-i18n
-PORTVERSION=	24.1.0
-CATEGORIES=	mail
+PORTVERSION=	24.2.0
+CATEGORIES=	mail news net-im
 MASTER_SITES=	MOZILLA/${PORTNAME:S|-i18n||}/releases/${PORTVERSION}/linux-i686/xpi
 PKGNAMEPREFIX=
 DISTFILES=	${THUNDERBIRD_I18N_:S/$/.xpi/}
@@ -19,6 +19,7 @@ PLISTD?=	${WRKDIR}/plist_dirs
 PLISTF?=	${WRKDIR}/plist_files
 
 NO_BUILD=	yes
+NO_ARCH=	yes
 USE_THUNDERBIRD=	yes
 USE_XPI=	thunderbird linux-thunderbird
 USE_SUBMAKE=	yes
@@ -76,7 +77,7 @@ post-patch:
 		${XARGS} -0L1 ${REINPLACE_CMD} -i '' '/<?xml/,$$!d'
 
 list-langs:
-	@fetch -qo- "https://ftp.mozilla.org/pub/mozilla.org/${PORTNAME:S|-i18n||}/releases/${PORTVERSION}esr/linux-i686/xpi"|\
+	@fetch -qo- "https://ftp.mozilla.org/pub/mozilla.org/${PORTNAME:S|-i18n||}/releases/${PORTVERSION}/linux-i686/xpi"|\
 		${PERL} -ne 'if(/.*href="([a-zA-Z-]+).xpi.*/){print "$$1\n"}' |\
 		${AWK} 'BEGIN{ORS=" "}{print $$1}END{printf "\nNumber of languages: %d\n",NR}'
 

Modified: head/mail/thunderbird-i18n/Makefile.lang
==============================================================================
--- head/mail/thunderbird-i18n/Makefile.lang	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/thunderbird-i18n/Makefile.lang	Sat Dec 14 13:42:06 2013	(r336446)
@@ -1,8 +1,9 @@
 # $FreeBSD$
 
-THUNDERBIRD_I18N_ALL_=	ar br ca cs da de en-GB en-US es-AR es-ES et eu fi fr \
-			fy-NL ga-IE gd gl he hu is it ja ko lt nb-NO nl nn-NO \
-			pl pt-BR pt-PT rm ru si sk sl sq sv-SE ta-LK tr uk zh-CN zh-TW
+THUNDERBIRD_I18N_ALL_=	ar ast be bg bn-BD br ca cs da de el en-GB en-US es-AR \
+			es-ES et eu fi fr fy-NL ga-IE gd gl he hr hu hy-AM id  \
+			is it ja ko lt nb-NO nl nn-NO pa-IN pl pt-BR pt-PT rm  \
+			ro ru si sk sl sq sr sv-SE ta-LK tr uk vi zh-CN zh-TW
 
 .if defined(THUNDERBIRD_I18N_ALL) || defined(PACKAGE_BUILDING) || target(package)
 THUNDERBIRD_I18N=   ${THUNDERBIRD_I18N_ALL_}
@@ -10,6 +11,18 @@ THUNDERBIRD_I18N=   ${THUNDERBIRD_I18N_A
 .if ${PORT_OPTIONS:MLANG_AR}
 THUNDERBIRD_I18N+=  ar
 .endif
+.if ${PORT_OPTIONS:MLANG_AST}
+THUNDERBIRD_I18N+=  ast
+.endif
+.if ${PORT_OPTIONS:MLANG_BE}
+THUNDERBIRD_I18N+=  be
+.endif
+.if ${PORT_OPTIONS:MLANG_BG}
+THUNDERBIRD_I18N+=  bg
+.endif
+.if ${PORT_OPTIONS:MLANG_BB}
+THUNDERBIRD_I18N+=  bn-BD
+.endif
 .if ${PORT_OPTIONS:MLANG_BR}
 THUNDERBIRD_I18N+=  br
 .endif
@@ -25,6 +38,9 @@ THUNDERBIRD_I18N+=  da
 .if ${PORT_OPTIONS:MLANG_DE}
 THUNDERBIRD_I18N+=  de
 .endif
+.if ${PORT_OPTIONS:MLANG_EL}
+THUNDERBIRD_I18N+=  el
+.endif
 .if ${PORT_OPTIONS:MLANG_GB}
 THUNDERBIRD_I18N+=  en-GB
 .endif
@@ -64,9 +80,18 @@ THUNDERBIRD_I18N+=  gl
 .if ${PORT_OPTIONS:MLANG_HE}
 THUNDERBIRD_I18N+=  he
 .endif
+.if ${PORT_OPTIONS:MLANG_HR}
+THUNDERBIRD_I18N+=  hr
+.endif
 .if ${PORT_OPTIONS:MLANG_HU}
 THUNDERBIRD_I18N+=  hu
 .endif
+.if ${PORT_OPTIONS:MLANG_AM}
+THUNDERBIRD_I18N+=  hy-AM
+.endif
+.if ${PORT_OPTIONS:MLANG_ID}
+THUNDERBIRD_I18N+=  id
+.endif
 .if ${PORT_OPTIONS:MLANG_IS}
 THUNDERBIRD_I18N+=  is
 .endif
@@ -94,6 +119,9 @@ THUNDERBIRD_I18N+=  nl
 .if ${PORT_OPTIONS:MLANG_NN}
 THUNDERBIRD_I18N+=  nn-NO
 .endif
+.if ${PORT_OPTIONS:MLANG_PA}
+THUNDERBIRD_I18N+=  pa-IN
+.endif
 .if ${PORT_OPTIONS:MLANG_PL}
 THUNDERBIRD_I18N+=  pl
 .endif
@@ -106,6 +134,9 @@ THUNDERBIRD_I18N+=  pt-PT
 .if ${PORT_OPTIONS:MLANG_RM}
 THUNDERBIRD_I18N+=  rm
 .endif
+.if ${PORT_OPTIONS:MLANG_RO}
+THUNDERBIRD_I18N+=  ro
+.endif
 .if ${PORT_OPTIONS:MLANG_RU}
 THUNDERBIRD_I18N+=  ru
 .endif
@@ -121,6 +152,9 @@ THUNDERBIRD_I18N+=  sl
 .if ${PORT_OPTIONS:MLANG_SQ}
 THUNDERBIRD_I18N+=  sq
 .endif
+.if ${PORT_OPTIONS:MLANG_SR}
+THUNDERBIRD_I18N+=  sr
+.endif
 .if ${PORT_OPTIONS:MLANG_SV}
 THUNDERBIRD_I18N+=  sv-SE
 .endif
@@ -133,6 +167,9 @@ THUNDERBIRD_I18N+=  tr
 .if ${PORT_OPTIONS:MLANG_UK}
 THUNDERBIRD_I18N+=  uk
 .endif
+.if ${PORT_OPTIONS:MLANG_VI}
+THUNDERBIRD_I18N+=  vi
+.endif
 .if ${PORT_OPTIONS:MLANG_CN}
 THUNDERBIRD_I18N+=  zh-CN
 .endif

Modified: head/mail/thunderbird-i18n/Makefile.option
==============================================================================
--- head/mail/thunderbird-i18n/Makefile.option	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/thunderbird-i18n/Makefile.option	Sat Dec 14 13:42:06 2013	(r336446)
@@ -1,12 +1,17 @@
 # $FreeBSD$
 
 OPTIONS_DEFINE=	LANG_AR \
+		LANG_AST \
+		LANG_BE \
+		LANG_BG \
+		LANG_BB \
 		LANG_BR \
 		LANG_CA \
 		LANG_CN \
 		LANG_CS \
 		LANG_DA \
 		LANG_DE \
+		LANG_EL \
 		LANG_GB \
 		LANG_US \
 		LANG_SA \
@@ -21,6 +26,9 @@ OPTIONS_DEFINE=	LANG_AR \
 		LANG_GL \
 		LANG_HE \
 		LANG_HU \
+		LANG_AM \
+		LANG_ID \
+		LANG_HR \
 		LANG_IS \
 		LANG_IT \
 		LANG_JA \
@@ -30,20 +38,24 @@ OPTIONS_DEFINE=	LANG_AR \
 		LANG_NB \
 		LANG_NL \
 		LANG_NN \
+		LANG_PA \
 		LANG_PL \
 		LANG_PBR \
 		LANG_PT \
 		LANG_RM \
+		LANG_RO \
 		LANG_RU \
 		LANG_SI \
 		LANG_SK \
 		LANG_SL \
 		LANG_SQ \
+		LANG_SR \
 		LANG_SV \
 		LANG_LK \
 		LANG_TR \
 		LANG_UK \
+		LANG_VI \
 		LANG_TW
 
 OPTIONS_DEFAULT=LANG_CN LANG_ES LANG_PBR LANG_RU LANG_JA LANG_DE LANG_FR \
-		LANG_KO LANG_IT
+		LANG_KO LANG_IT LANG_PA

Modified: head/mail/thunderbird-i18n/distinfo
==============================================================================
--- head/mail/thunderbird-i18n/distinfo	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/thunderbird-i18n/distinfo	Sat Dec 14 13:42:06 2013	(r336446)
@@ -1,86 +1,110 @@
-SHA256 (xpi/thunderbird-i18n-24.1.0/ar.xpi) = c1ae369bd2e7a43ef25be76b7865ec9cdf902ae0c9a37d5fd994e8905854b7a6
-SIZE (xpi/thunderbird-i18n-24.1.0/ar.xpi) = 457861
-SHA256 (xpi/thunderbird-i18n-24.1.0/br.xpi) = 71c48932304b3167d88290d38464956ff239f03c011708b6f284a84fe3cc2acf
-SIZE (xpi/thunderbird-i18n-24.1.0/br.xpi) = 427679
-SHA256 (xpi/thunderbird-i18n-24.1.0/ca.xpi) = 59790bf51d46a61dad82f8afcc78e06f254810e4d136a7797c0fe6e1a1962113
-SIZE (xpi/thunderbird-i18n-24.1.0/ca.xpi) = 429746
-SHA256 (xpi/thunderbird-i18n-24.1.0/cs.xpi) = f9dd31067191d973c5b139bdf00a4f3e93e889ca097109d372c74c5ceb037d20
-SIZE (xpi/thunderbird-i18n-24.1.0/cs.xpi) = 431475
-SHA256 (xpi/thunderbird-i18n-24.1.0/da.xpi) = 9274440267cd0950e02432a12273dec35234361c6b56f5bd682512a28b62b3d3
-SIZE (xpi/thunderbird-i18n-24.1.0/da.xpi) = 409626
-SHA256 (xpi/thunderbird-i18n-24.1.0/de.xpi) = d95dd444c024fbe91b1c985b55c2be49e70abea7429468773878265d6cf77af1
-SIZE (xpi/thunderbird-i18n-24.1.0/de.xpi) = 408674
-SHA256 (xpi/thunderbird-i18n-24.1.0/en-GB.xpi) = 723c4baefe03a4ec6af9968a2777551d559a203e927e59be5cafed07163e17a5
-SIZE (xpi/thunderbird-i18n-24.1.0/en-GB.xpi) = 400962
-SHA256 (xpi/thunderbird-i18n-24.1.0/en-US.xpi) = e207aba33554b321eacdeb6f881122e2522ca4f29b50acfc806ba20e15f5d945
-SIZE (xpi/thunderbird-i18n-24.1.0/en-US.xpi) = 402143
-SHA256 (xpi/thunderbird-i18n-24.1.0/es-AR.xpi) = 28a60e4ebb358a143acd89e076f6da2358fb02b96bb4b901b76a9e3d6afcaf14
-SIZE (xpi/thunderbird-i18n-24.1.0/es-AR.xpi) = 425656
-SHA256 (xpi/thunderbird-i18n-24.1.0/es-ES.xpi) = 02db9f937b9cb8721cf4ea308eb5ed0d65d3988cbb58d9a112a63b05081e49f9
-SIZE (xpi/thunderbird-i18n-24.1.0/es-ES.xpi) = 366307
-SHA256 (xpi/thunderbird-i18n-24.1.0/et.xpi) = 0536932384215e7331935dc5b10e2012c9f2a75f78bb3e9787bfabbddaebdb51
-SIZE (xpi/thunderbird-i18n-24.1.0/et.xpi) = 422893
-SHA256 (xpi/thunderbird-i18n-24.1.0/eu.xpi) = 0facc9e08a78a7223f3196adc995e858201528091154e6fdbdde7c66808680f4
-SIZE (xpi/thunderbird-i18n-24.1.0/eu.xpi) = 418496
-SHA256 (xpi/thunderbird-i18n-24.1.0/fi.xpi) = d0e5e3c067733ed238fd1c94621d75a146213d7787bbcc04ac80e56907eec859
-SIZE (xpi/thunderbird-i18n-24.1.0/fi.xpi) = 424264
-SHA256 (xpi/thunderbird-i18n-24.1.0/fr.xpi) = 51d9b0ae7580792e855aaf99e10a611a75adf8f2c72349a404bc611e9bb3560a
-SIZE (xpi/thunderbird-i18n-24.1.0/fr.xpi) = 431288
-SHA256 (xpi/thunderbird-i18n-24.1.0/fy-NL.xpi) = ae6920a0c7d904273a3ad0921445cda5bfe505f8f4fc129c7742ab71905828fc
-SIZE (xpi/thunderbird-i18n-24.1.0/fy-NL.xpi) = 426097
-SHA256 (xpi/thunderbird-i18n-24.1.0/ga-IE.xpi) = 28cb0369acd07764cfadac28da9fd94a908e3ca241602d2f76416cc4b726171d
-SIZE (xpi/thunderbird-i18n-24.1.0/ga-IE.xpi) = 437113
-SHA256 (xpi/thunderbird-i18n-24.1.0/gd.xpi) = 405892951e5d1ccc7587018728f72aba2b97735872cd257339a65a1f8394b580
-SIZE (xpi/thunderbird-i18n-24.1.0/gd.xpi) = 440091
-SHA256 (xpi/thunderbird-i18n-24.1.0/gl.xpi) = 61d94c490cfccaff98be2152e93ec22d86de53cbee2fc5ffd75be74f3d8f40cb
-SIZE (xpi/thunderbird-i18n-24.1.0/gl.xpi) = 427542
-SHA256 (xpi/thunderbird-i18n-24.1.0/he.xpi) = d1cc73690751a2a72cf101f6067586c06c0777d438158df9c747b552a99c0f93
-SIZE (xpi/thunderbird-i18n-24.1.0/he.xpi) = 457065
-SHA256 (xpi/thunderbird-i18n-24.1.0/hu.xpi) = 36dde465f58c5730d232354478638e9b656c6846c0ec905855d5ef30b928ce2f
-SIZE (xpi/thunderbird-i18n-24.1.0/hu.xpi) = 441511
-SHA256 (xpi/thunderbird-i18n-24.1.0/is.xpi) = 3310d73a8ff8da820d6b11caedbcf91924e6bf4d952adb232b295cf4d4af614e
-SIZE (xpi/thunderbird-i18n-24.1.0/is.xpi) = 425710
-SHA256 (xpi/thunderbird-i18n-24.1.0/it.xpi) = 0f4fe1e46f58d0225c55099d571da5135dab078b32b8ee7ef9354f7d87a5c0c5
-SIZE (xpi/thunderbird-i18n-24.1.0/it.xpi) = 357932
-SHA256 (xpi/thunderbird-i18n-24.1.0/ja.xpi) = dcd4b4515759a11c050d2123f5e8d2806bc02cf414967ef0e292f42377e00f7d
-SIZE (xpi/thunderbird-i18n-24.1.0/ja.xpi) = 475558
-SHA256 (xpi/thunderbird-i18n-24.1.0/ko.xpi) = 805e912857093a234c91a23666c0917157af908c0ebd9ee62b2ff1990aa80d27
-SIZE (xpi/thunderbird-i18n-24.1.0/ko.xpi) = 428069
-SHA256 (xpi/thunderbird-i18n-24.1.0/lt.xpi) = 3e7fc285bba8e958e194c61d50ebdddde1b011fa364ef26fbd4a5554c39ff494
-SIZE (xpi/thunderbird-i18n-24.1.0/lt.xpi) = 443259
-SHA256 (xpi/thunderbird-i18n-24.1.0/nb-NO.xpi) = b794ce970e36a0d418070097c15a0facc47a66155fc1be3ce7175bbd56447801
-SIZE (xpi/thunderbird-i18n-24.1.0/nb-NO.xpi) = 418922
-SHA256 (xpi/thunderbird-i18n-24.1.0/nl.xpi) = b1885d4c420f217740a04f00d73d14d4e18ebeb5ddf224c5fb3cc1d1a1c10366
-SIZE (xpi/thunderbird-i18n-24.1.0/nl.xpi) = 418763
-SHA256 (xpi/thunderbird-i18n-24.1.0/nn-NO.xpi) = 31b8af07e283f24622324553dfa16c8d7dc8f954b938d518ee726796e8bcee3c
-SIZE (xpi/thunderbird-i18n-24.1.0/nn-NO.xpi) = 421133
-SHA256 (xpi/thunderbird-i18n-24.1.0/pl.xpi) = 3eb952b23c3e65d320b53a86b3aeb8497ef4b29373a37ec4b6920cc601708c1a
-SIZE (xpi/thunderbird-i18n-24.1.0/pl.xpi) = 401752
-SHA256 (xpi/thunderbird-i18n-24.1.0/pt-BR.xpi) = 974cee92294837b9762b05de9dad752524bf052becc9f41c2f059ffe7bb11460
-SIZE (xpi/thunderbird-i18n-24.1.0/pt-BR.xpi) = 430908
-SHA256 (xpi/thunderbird-i18n-24.1.0/pt-PT.xpi) = 7d45bfc25e15ab97e68468bb5739516ee850ea6ca7e3035ee9b6b6c7412e53bd
-SIZE (xpi/thunderbird-i18n-24.1.0/pt-PT.xpi) = 425024
-SHA256 (xpi/thunderbird-i18n-24.1.0/rm.xpi) = 337b5debef4ff047d7be67b93bc7aa9bddf39c4be774064362025c9e37dece94
-SIZE (xpi/thunderbird-i18n-24.1.0/rm.xpi) = 432384
-SHA256 (xpi/thunderbird-i18n-24.1.0/ru.xpi) = d4d6eaaf448634b0431931700259d8a98145a997eb08a6eae1f168820ad8c9a8
-SIZE (xpi/thunderbird-i18n-24.1.0/ru.xpi) = 425097
-SHA256 (xpi/thunderbird-i18n-24.1.0/si.xpi) = c189dcd1e3044a87ffc9673cb487773ca22225eac4f20744b46ec17c99b4df34
-SIZE (xpi/thunderbird-i18n-24.1.0/si.xpi) = 511166
-SHA256 (xpi/thunderbird-i18n-24.1.0/sk.xpi) = 8d336a4afe81ca3c58495a79e067bf3da69b9cadfec80ffdb4361b8592d75048
-SIZE (xpi/thunderbird-i18n-24.1.0/sk.xpi) = 440106
-SHA256 (xpi/thunderbird-i18n-24.1.0/sl.xpi) = 3976917707f4e29559a4dcc68920dba0ac959c9deda560c4ef81340ffb438ebc
-SIZE (xpi/thunderbird-i18n-24.1.0/sl.xpi) = 421705
-SHA256 (xpi/thunderbird-i18n-24.1.0/sq.xpi) = 4ef26111f9f70bcf7499e78fcd2d6a4b22c91b313d90828c6a4dacfeead3c81c
-SIZE (xpi/thunderbird-i18n-24.1.0/sq.xpi) = 435214
-SHA256 (xpi/thunderbird-i18n-24.1.0/sv-SE.xpi) = fbf0ba601539b6b39fddc1a773ba67cb8fd75b9a647219ce21ebd1adf2a72a16
-SIZE (xpi/thunderbird-i18n-24.1.0/sv-SE.xpi) = 423814
-SHA256 (xpi/thunderbird-i18n-24.1.0/ta-LK.xpi) = 4311ba7ebc6e0bd5ba37db9ec8c7da26eb30caebfc7cc0fa057342735a503a0e
-SIZE (xpi/thunderbird-i18n-24.1.0/ta-LK.xpi) = 534922
-SHA256 (xpi/thunderbird-i18n-24.1.0/tr.xpi) = f0469befebdb41c3fbffbdd569428b39cebee4f0cbd687fefbca4e542185eb82
-SIZE (xpi/thunderbird-i18n-24.1.0/tr.xpi) = 438066
-SHA256 (xpi/thunderbird-i18n-24.1.0/uk.xpi) = d268f35d0fd1968dc1fecba600bf18d0424b5613b00acf617a71bb1414d47f82
-SIZE (xpi/thunderbird-i18n-24.1.0/uk.xpi) = 480948
-SHA256 (xpi/thunderbird-i18n-24.1.0/zh-CN.xpi) = a1d3f318b7ce6cda8495c4e7751f449c1071c84a4d7036c8b776b2005efb9a73
-SIZE (xpi/thunderbird-i18n-24.1.0/zh-CN.xpi) = 449181
-SHA256 (xpi/thunderbird-i18n-24.1.0/zh-TW.xpi) = 3deb5f2ebf13903d03cd8c727a54fc531fc84c02557a5de358794b862c271c80
-SIZE (xpi/thunderbird-i18n-24.1.0/zh-TW.xpi) = 450000
+SHA256 (xpi/thunderbird-i18n-24.2.0/ar.xpi) = fbb41f3437d15ef27eb855ce0076a61e5dd5fd134902e3277d7989691c36532f
+SIZE (xpi/thunderbird-i18n-24.2.0/ar.xpi) = 457862
+SHA256 (xpi/thunderbird-i18n-24.2.0/ast.xpi) = 6150355bb48af7f8df4f240875b99dd7b7d7f6c5957524b59182280933fe2535
+SIZE (xpi/thunderbird-i18n-24.2.0/ast.xpi) = 373831
+SHA256 (xpi/thunderbird-i18n-24.2.0/be.xpi) = 16c77031b0f29bc88d8608fb1d54dd933df2452b497524e24e8ae74bcbf92978
+SIZE (xpi/thunderbird-i18n-24.2.0/be.xpi) = 416882
+SHA256 (xpi/thunderbird-i18n-24.2.0/bg.xpi) = b5aa54184ca102bcb9710f22a7b2856107c98a351b2c7cea6adbaa35bf9fbe4f
+SIZE (xpi/thunderbird-i18n-24.2.0/bg.xpi) = 485024
+SHA256 (xpi/thunderbird-i18n-24.2.0/bn-BD.xpi) = d62ddc91fad5b0fa4ec5e637c9e3ec2e1ba9c13b028817f2d634e518be3437f1
+SIZE (xpi/thunderbird-i18n-24.2.0/bn-BD.xpi) = 537258
+SHA256 (xpi/thunderbird-i18n-24.2.0/br.xpi) = dd1a920d93eccd43276e09480c82e7ffea74930f359b5c76a236e2637bdfed65
+SIZE (xpi/thunderbird-i18n-24.2.0/br.xpi) = 427679
+SHA256 (xpi/thunderbird-i18n-24.2.0/ca.xpi) = 89085f99e4bebed77c697acf2d7b9576125d73e60944239c74a437151f9f8844
+SIZE (xpi/thunderbird-i18n-24.2.0/ca.xpi) = 429746
+SHA256 (xpi/thunderbird-i18n-24.2.0/cs.xpi) = db385b339f9c328572b6eafc2430333f4a6395f9866c835c64678faaa86c16c9
+SIZE (xpi/thunderbird-i18n-24.2.0/cs.xpi) = 431476
+SHA256 (xpi/thunderbird-i18n-24.2.0/da.xpi) = 28b785c9782d629e60061c4560c11d3357c0695ee12d3459323674d212be19c2
+SIZE (xpi/thunderbird-i18n-24.2.0/da.xpi) = 409627
+SHA256 (xpi/thunderbird-i18n-24.2.0/de.xpi) = 8c5a8b5d139e203125334f51ef7dd58b687ff3eaa4a5ac14bb1e418c0c47176f
+SIZE (xpi/thunderbird-i18n-24.2.0/de.xpi) = 408674
+SHA256 (xpi/thunderbird-i18n-24.2.0/el.xpi) = bdca54921f55a92f8d2426b253ffc11e80d12ed6b939080384b669127796efca
+SIZE (xpi/thunderbird-i18n-24.2.0/el.xpi) = 464552
+SHA256 (xpi/thunderbird-i18n-24.2.0/en-GB.xpi) = 3ba98c03a2af92b52ce769f4297ab08f2546bc53cf3438b48eb820f550606924
+SIZE (xpi/thunderbird-i18n-24.2.0/en-GB.xpi) = 400962
+SHA256 (xpi/thunderbird-i18n-24.2.0/en-US.xpi) = 72093031048ac4218e582f1902a7468e1189c96b48275a4436381c7248994c22
+SIZE (xpi/thunderbird-i18n-24.2.0/en-US.xpi) = 402144
+SHA256 (xpi/thunderbird-i18n-24.2.0/es-AR.xpi) = 5526b007278c8fcc83e647d82d2053e47c263724058a0f4bb880b66fc7deb796
+SIZE (xpi/thunderbird-i18n-24.2.0/es-AR.xpi) = 425657
+SHA256 (xpi/thunderbird-i18n-24.2.0/es-ES.xpi) = 2f3cb8fb949c6cedb319cc0feff64db0d6adde0af21c82dadab0dc62e70ac066
+SIZE (xpi/thunderbird-i18n-24.2.0/es-ES.xpi) = 366308
+SHA256 (xpi/thunderbird-i18n-24.2.0/et.xpi) = 7e774f74524be9cb2a827a7590ecd4de86678d90a4489348e5d0bac861c8fb4c
+SIZE (xpi/thunderbird-i18n-24.2.0/et.xpi) = 422893
+SHA256 (xpi/thunderbird-i18n-24.2.0/eu.xpi) = a0b98f506ff60231f732e45c7bcffd3eb95a778b11fb0bef8df38221011515ed
+SIZE (xpi/thunderbird-i18n-24.2.0/eu.xpi) = 418497
+SHA256 (xpi/thunderbird-i18n-24.2.0/fi.xpi) = 460ef32bf8f5c99dc0585f94f1b20ba7a3aa59c3104b25dfdb80ec4f79412167
+SIZE (xpi/thunderbird-i18n-24.2.0/fi.xpi) = 424264
+SHA256 (xpi/thunderbird-i18n-24.2.0/fr.xpi) = 0c5010257297712c401d45371cdd28c0f7494b17057f767aaad380ec0d97e152
+SIZE (xpi/thunderbird-i18n-24.2.0/fr.xpi) = 431289
+SHA256 (xpi/thunderbird-i18n-24.2.0/fy-NL.xpi) = 28d01dbac495791f6ccbff53e986cbdddbc198c3151121fd670183647e6400db
+SIZE (xpi/thunderbird-i18n-24.2.0/fy-NL.xpi) = 426098
+SHA256 (xpi/thunderbird-i18n-24.2.0/ga-IE.xpi) = 585cf678ac106834404604486ca48d6dcb49a92f5594a639f5443e69821c9a58
+SIZE (xpi/thunderbird-i18n-24.2.0/ga-IE.xpi) = 437114
+SHA256 (xpi/thunderbird-i18n-24.2.0/gd.xpi) = 973f6156dc1fb894330307885f710d92ab07b78a358d2f9910984d6f5f0f5c38
+SIZE (xpi/thunderbird-i18n-24.2.0/gd.xpi) = 440091
+SHA256 (xpi/thunderbird-i18n-24.2.0/gl.xpi) = 3fb3807d5ce9fa3eb8858735c0239c9a89cf98211014d004b1b33092c0ca2201
+SIZE (xpi/thunderbird-i18n-24.2.0/gl.xpi) = 427543
+SHA256 (xpi/thunderbird-i18n-24.2.0/he.xpi) = 9d4f953d6ff51b0047e0e78fb3ee0a3cd293b7ee00275c4e548faece63cac3b7
+SIZE (xpi/thunderbird-i18n-24.2.0/he.xpi) = 457065
+SHA256 (xpi/thunderbird-i18n-24.2.0/hr.xpi) = 5f6d187796e9c11782ac7dd86414a3550666fca33a928e3a698602e64af2cec8
+SIZE (xpi/thunderbird-i18n-24.2.0/hr.xpi) = 422387
+SHA256 (xpi/thunderbird-i18n-24.2.0/hu.xpi) = c7f89fdabc56beb321e9eb5c3d4b8930e0b57533fd0756ee93c8087e720421bf
+SIZE (xpi/thunderbird-i18n-24.2.0/hu.xpi) = 441511
+SHA256 (xpi/thunderbird-i18n-24.2.0/hy-AM.xpi) = 622402d757eb814115c1ccdbb3b12520dde81119a69132536911d42d667c6697
+SIZE (xpi/thunderbird-i18n-24.2.0/hy-AM.xpi) = 477923
+SHA256 (xpi/thunderbird-i18n-24.2.0/id.xpi) = 20d134d65848a4e7e388f8529f7e4071a7587e8d7df807d0cc096eec75c1fa76
+SIZE (xpi/thunderbird-i18n-24.2.0/id.xpi) = 457499
+SHA256 (xpi/thunderbird-i18n-24.2.0/is.xpi) = 80d43c50df0fa636894571d64ab19421c6b3df65aabce30bd600a88295e8edd6
+SIZE (xpi/thunderbird-i18n-24.2.0/is.xpi) = 425711
+SHA256 (xpi/thunderbird-i18n-24.2.0/it.xpi) = a6fd76165a5f172f4736409be1f592b69058bfcccc04f4579f855ad763a9d5fe
+SIZE (xpi/thunderbird-i18n-24.2.0/it.xpi) = 357933
+SHA256 (xpi/thunderbird-i18n-24.2.0/ja.xpi) = 79f49d0fce0e6ec1a948211e8ccb430994cac615769be19071ce9199d89cefc9
+SIZE (xpi/thunderbird-i18n-24.2.0/ja.xpi) = 475559
+SHA256 (xpi/thunderbird-i18n-24.2.0/ko.xpi) = 62dbe62ef4204d24ed293e75840fcd4a747281329bd340d01dd5864058fc52ad
+SIZE (xpi/thunderbird-i18n-24.2.0/ko.xpi) = 428071
+SHA256 (xpi/thunderbird-i18n-24.2.0/lt.xpi) = d9a0f9b690e61ebc6a92c7811a2edddff4a3560a6b048fb59c99ec3a82a18828
+SIZE (xpi/thunderbird-i18n-24.2.0/lt.xpi) = 443259
+SHA256 (xpi/thunderbird-i18n-24.2.0/nb-NO.xpi) = 833c60e87d444e36868f0b754ef060d1d5cfb133f146368811aeb532e5aa035b
+SIZE (xpi/thunderbird-i18n-24.2.0/nb-NO.xpi) = 418922
+SHA256 (xpi/thunderbird-i18n-24.2.0/nl.xpi) = d7c2728c818b16639ac8ef7b8bb0f1d2434b82431cd5b2644d63df7dc2af463c
+SIZE (xpi/thunderbird-i18n-24.2.0/nl.xpi) = 418764
+SHA256 (xpi/thunderbird-i18n-24.2.0/nn-NO.xpi) = 26e5b34cc2f5d506e1a1761cc7ad8edcab76e6141e49e1a727d70c48bff4d638
+SIZE (xpi/thunderbird-i18n-24.2.0/nn-NO.xpi) = 421134
+SHA256 (xpi/thunderbird-i18n-24.2.0/pa-IN.xpi) = 9ad7ceae5c0be242defad7d3ecf6e5300a9aefd30d242ed3186571cdcdf6514f
+SIZE (xpi/thunderbird-i18n-24.2.0/pa-IN.xpi) = 508273
+SHA256 (xpi/thunderbird-i18n-24.2.0/pl.xpi) = c1a1c62ad92ef5f8d672da128de80352142a3e2e0c282cc326b879d4f11fbde3
+SIZE (xpi/thunderbird-i18n-24.2.0/pl.xpi) = 401752
+SHA256 (xpi/thunderbird-i18n-24.2.0/pt-BR.xpi) = 807a9db846c4195c6ebc7153613197bd9327bc4006ea9b0e995047b4715cc967
+SIZE (xpi/thunderbird-i18n-24.2.0/pt-BR.xpi) = 430909
+SHA256 (xpi/thunderbird-i18n-24.2.0/pt-PT.xpi) = c79768a2b0b4906159094927e199946cdbea1d3b059f26a8828428d70dcece23
+SIZE (xpi/thunderbird-i18n-24.2.0/pt-PT.xpi) = 425025
+SHA256 (xpi/thunderbird-i18n-24.2.0/rm.xpi) = eab9dd25b1ec6b466d16d69f14dc59374a682e1c8c7e5f107c74c4fc4b6f105e
+SIZE (xpi/thunderbird-i18n-24.2.0/rm.xpi) = 432384
+SHA256 (xpi/thunderbird-i18n-24.2.0/ro.xpi) = 1cfaa1564f5d01b2e7b9750852de43a831486824c3e9b1aeb611bb7a1af7b28d
+SIZE (xpi/thunderbird-i18n-24.2.0/ro.xpi) = 497491
+SHA256 (xpi/thunderbird-i18n-24.2.0/ru.xpi) = 8afa069d32d4798299fbffa01a24e40b7da126279a1a4a4a6813630660c8da4c
+SIZE (xpi/thunderbird-i18n-24.2.0/ru.xpi) = 425097
+SHA256 (xpi/thunderbird-i18n-24.2.0/si.xpi) = 41b820771dfab9d962a6e39aa8f63a05727ffd484d811cc75dbe3cde0fb53d78
+SIZE (xpi/thunderbird-i18n-24.2.0/si.xpi) = 511167
+SHA256 (xpi/thunderbird-i18n-24.2.0/sk.xpi) = 33e89da9d87dc0056f43eb532cf125f6d6d981007908ed3cc8ab206d7584acdd
+SIZE (xpi/thunderbird-i18n-24.2.0/sk.xpi) = 440106
+SHA256 (xpi/thunderbird-i18n-24.2.0/sl.xpi) = 47b2ea99199016334550e83bc793d6d33d086b08382b694ca6138aa81912b815
+SIZE (xpi/thunderbird-i18n-24.2.0/sl.xpi) = 421706
+SHA256 (xpi/thunderbird-i18n-24.2.0/sq.xpi) = 841d45c2437f22a7c2d7b47bd471d1af0686e36cfe45c825081d0fa97fce898b
+SIZE (xpi/thunderbird-i18n-24.2.0/sq.xpi) = 435215
+SHA256 (xpi/thunderbird-i18n-24.2.0/sr.xpi) = a5a7e029c2fd0d348dfacc01d3e8bdc90d6c0bd618f95f3710c8ffebad162cca
+SIZE (xpi/thunderbird-i18n-24.2.0/sr.xpi) = 518890
+SHA256 (xpi/thunderbird-i18n-24.2.0/sv-SE.xpi) = 5d3b61e6741eba9872bf108f0fba8942e321d341470ac995cc544569affed5e9
+SIZE (xpi/thunderbird-i18n-24.2.0/sv-SE.xpi) = 423815
+SHA256 (xpi/thunderbird-i18n-24.2.0/ta-LK.xpi) = aa5f2edd2caef8767f71e253afb5dc2fe8857e0d4221fe26adf730320892ec09
+SIZE (xpi/thunderbird-i18n-24.2.0/ta-LK.xpi) = 534923
+SHA256 (xpi/thunderbird-i18n-24.2.0/tr.xpi) = cdab07dee33604e3120eeff1167b1b184ab2ed4434e9defbbe4ed68278621b19
+SIZE (xpi/thunderbird-i18n-24.2.0/tr.xpi) = 438067
+SHA256 (xpi/thunderbird-i18n-24.2.0/uk.xpi) = 53c9aed79f797280fd85a4998ca8be9804ab95561bda3359e88cb0fa3e476d69
+SIZE (xpi/thunderbird-i18n-24.2.0/uk.xpi) = 480948
+SHA256 (xpi/thunderbird-i18n-24.2.0/vi.xpi) = 9bec5d284850f8b06625e627248fa42b6b1ce42d4d4f9eedbc80fd83dd926cf9
+SIZE (xpi/thunderbird-i18n-24.2.0/vi.xpi) = 495558
+SHA256 (xpi/thunderbird-i18n-24.2.0/zh-CN.xpi) = 1946c536525f3da56928ed9e8a31b8c7341278f625e62462021634a1f5afc6f8
+SIZE (xpi/thunderbird-i18n-24.2.0/zh-CN.xpi) = 449181
+SHA256 (xpi/thunderbird-i18n-24.2.0/zh-TW.xpi) = 5fb98868c7e332a03176141d2fe22d608636bd4a90c0192f420adcfdf6102ec1
+SIZE (xpi/thunderbird-i18n-24.2.0/zh-TW.xpi) = 450000

Modified: head/mail/thunderbird/Makefile
==============================================================================
--- head/mail/thunderbird/Makefile	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/thunderbird/Makefile	Sat Dec 14 13:42:06 2013	(r336446)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	thunderbird
-DISTVERSION=	24.1.0
-CATEGORIES=	mail ipv6
-MASTER_SITES=	MOZILLA/${PORTNAME}/releases/${DISTVERSION}/source \
-		https://ftp.mozilla.org/pub/mozilla.org/${PORTNAME}/candidates/${DISTVERSION}-candidates/build1/source/
+DISTVERSION=	24.2.0
+CATEGORIES=	mail news net-im ipv6
+MASTER_SITES=	MOZILLA/${PORTNAME}/releases/${DISTVERSION}/source
 DISTFILES=	${PORTNAME}-${DISTVERSION}.source${EXTRACT_SUFX}
 EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}.source${EXTRACT_SUFX}
 
@@ -22,7 +21,7 @@ BUILD_DEPENDS=	nspr>=4.10:${PORTSDIR}/de
 LIB_DEPENDS=	libv4l2.so:${PORTSDIR}/multimedia/libv4l
 
 EM_VERSION=	1.6
-L_VERSION=	2.6.2
+L_VERSION=	2.6.4
 
 SSP_UNSAFE=	yes
 USE_AUTOTOOLS=	autoconf213:env
@@ -73,11 +72,6 @@ MOZSRC:=	${WRKSRC}/mozilla
 
 XPI_LIBDIR=	${PREFIX}/lib/xpi
 
-# libprldap60.so: Undefined symbol "PR_GetCurrentThread"
-.if ${ARCH} == i386
-USE_GCC?=	yes
-.endif
-
 .if ${PORT_OPTIONS:MENIGMAIL}
 MASTER_SITES+=	https://www.enigmail.net/download/source/:enigmail
 DISTFILES+=	${EM_DISTFILE}:enigmail

Modified: head/mail/thunderbird/distinfo
==============================================================================
--- head/mail/thunderbird/distinfo	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/thunderbird/distinfo	Sat Dec 14 13:42:06 2013	(r336446)
@@ -1,4 +1,4 @@
-SHA256 (thunderbird-24.1.0.source.tar.bz2) = 275a482f6ffd24cbea347caaaa593d0e9f4d82ae5b2c6fe7345340b0efc1cf4d
-SIZE (thunderbird-24.1.0.source.tar.bz2) = 140336934
+SHA256 (thunderbird-24.2.0.source.tar.bz2) = 66474132bd6ebbb8a913c3f4acd4ecc9bec011e4c7ee49475f29558801a905cf
+SIZE (thunderbird-24.2.0.source.tar.bz2) = 140363284
 SHA256 (enigmail-1.6.tar.gz) = 10d5eb7ba364b9b6e6275aae8bba1d0e4321ed7d55a715337d566ccf2a56ea4d
 SIZE (enigmail-1.6.tar.gz) = 1231111

Added: head/mail/thunderbird/files/patch-bug885538
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/thunderbird/files/patch-bug885538	Sat Dec 14 13:42:06 2013	(r336446)
@@ -0,0 +1,31 @@
+
+# HG changeset patch
+# User aceman <acelists@atlas.sk>
+# Date 1374257425 14400
+# Node ID 89bbcd5a2293ae0338d1248b71b49338bece2bdc
+# Parent  baddbdd06d16665bae94e98d1570602cbc6c88ad
+Bug 885538 - Fix clang compile failure in nsMsgSearchTerm.cpp by using an empty string instead of null pointer. r=rkent, a=Standard8
+
+diff --git a/mailnews/base/search/src/nsMsgSearchTerm.cpp b/mailnews/base/search/src/nsMsgSearchTerm.cpp
+--- mailnews/base/search/src/nsMsgSearchTerm.cpp
++++ mailnews/base/search/src/nsMsgSearchTerm.cpp
+@@ -192,17 +192,17 @@ nsresult NS_MsgGetStringForAttribute(int
+     if (attrib == SearchAttribEntryTable[idxAttrib].attrib)
+     {
+       found = true;
+       *string = SearchAttribEntryTable[idxAttrib].attribName;
+       break;
+     }
+   }
+   if (!found)
+-    *string = '\0'; // don't leave the string uninitialized
++    *string = ""; // don't leave the string uninitialized
+ 
+   // we no longer return invalid attribute. If we cannot find the string in the table,
+   // then it is an arbitrary header. Return success regardless if found or not
+   return NS_OK;
+ }
+ 
+ typedef struct
+ {
+

Added: head/mail/thunderbird/files/patch-bug945046
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/thunderbird/files/patch-bug945046	Sat Dec 14 13:42:06 2013	(r336446)
@@ -0,0 +1,130 @@
+diff --git config/system-headers config/system-headers
+index 432cba6..18a9627 100644
+--- mozilla/config/system-headers
++++ mozilla/config/system-headers
+@@ -1157,3 +1157,4 @@ unicode/uenum.h
+ unicode/unum.h
+ unicode/ustring.h
+ #endif
++libutil.h
+diff --git js/src/config/system-headers js/src/config/system-headers
+index 432cba6..18a9627 100644
+--- mozilla/js/src/config/system-headers
++++ mozilla/js/src/config/system-headers
+@@ -1157,3 +1157,4 @@ unicode/uenum.h
+ unicode/unum.h
+ unicode/ustring.h
+ #endif
++libutil.h
+diff --git toolkit/library/Makefile.in toolkit/library/Makefile.in
+index 9975621..b4b037d 100644
+--- mozilla/toolkit/library/Makefile.in
++++ mozilla/toolkit/library/Makefile.in
+@@ -289,6 +289,10 @@ OS_LIBS += $(call EXPAND_LIBNAME,kvm)
+ EXTRA_DSO_LDOPTS += -Wl,--warn-unresolved-symbols
+ endif
+ 
++ifeq ($(OS_ARCH),FreeBSD)
++OS_LIBS += $(call EXPAND_LIBNAME,util)
++endif
++
+ ifeq ($(OS_ARCH),WINNT)
+ OS_LIBS += $(call EXPAND_LIBNAME,shell32 ole32 version winspool comdlg32 imm32 msimg32 shlwapi psapi ws2_32 dbghelp rasapi32 rasdlg iphlpapi uxtheme setupapi secur32 sensorsapi portabledeviceguids windowscodecs wininet wbemuuid)
+ ifdef ACCESSIBILITY
+diff --git xpcom/base/nsMemoryReporterManager.cpp xpcom/base/nsMemoryReporterManager.cpp
+index b8147c8..0ffb34e 100644
+--- mozilla/xpcom/base/nsMemoryReporterManager.cpp
++++ mozilla/xpcom/base/nsMemoryReporterManager.cpp
+@@ -153,6 +153,43 @@ static nsresult GetResidentFast(int64_t 
+     return GetResident(n);
+ }
+ 
++#ifdef __FreeBSD__
++#include <libutil.h>
++
++static nsresult
++GetKinfoVmentrySelf(int64_t* prss)
++{
++    int cnt;
++    struct kinfo_vmentry *vmmap, *kve;
++    if ((vmmap = kinfo_getvmmap(getpid(), &cnt)) == NULL)
++        return NS_ERROR_FAILURE;
++
++    if (prss)
++        *prss = 0;
++
++    for (int i = 0; i < cnt; i++) {
++        kve = &vmmap[i];
++        if (prss)
++            *prss += kve->kve_private_resident;
++    }
++
++    free(vmmap);
++    return NS_OK;
++}
++
++#define HAVE_PRIVATE_REPORTER
++static nsresult
++GetPrivate(int64_t* aN)
++{
++    int64_t priv;
++    nsresult rv = GetKinfoVmentrySelf(&priv);
++    if (NS_SUCCEEDED(rv))
++        *aN = priv * getpagesize();
++
++    return NS_OK;
++}
++#endif // FreeBSD
++
+ #elif defined(SOLARIS)
+ 
+ #include <procfs.h>
+@@ -327,6 +364,24 @@ static nsresult GetResidentFast(int64_t 
+ }
+ 
+ #define HAVE_PRIVATE_REPORTER
++static nsresult
++GetPrivate(int64_t* aN)
++{
++    PROCESS_MEMORY_COUNTERS_EX pmcex;
++    pmcex.cb = sizeof(PROCESS_MEMORY_COUNTERS_EX);
++
++    if (!GetProcessMemoryInfo(
++            GetCurrentProcess(),
++            (PPROCESS_MEMORY_COUNTERS) &pmcex, sizeof(pmcex))) {
++        return NS_ERROR_FAILURE;
++    }
++
++    *aN = pmcex.PrivateUsage;
++    return NS_OK;
++}
++#endif  // XP_<PLATFORM>
++
++#ifdef HAVE_PRIVATE_REPORTER
+ class PrivateReporter MOZ_FINAL : public MemoryReporterBase
+ {
+ public:
+@@ -339,21 +394,10 @@ public:
+ 
+     NS_IMETHOD GetAmount(int64_t *aAmount)
+     {
+-        PROCESS_MEMORY_COUNTERS_EX pmcex;
+-        pmcex.cb = sizeof(PROCESS_MEMORY_COUNTERS_EX);
+-
+-        if (!GetProcessMemoryInfo(
+-                GetCurrentProcess(),
+-                (PPROCESS_MEMORY_COUNTERS) &pmcex, sizeof(pmcex))) {
+-            return NS_ERROR_FAILURE;
+-        }
+-
+-        *aAmount = pmcex.PrivateUsage;
+-        return NS_OK;
++        return GetPrivate(aAmount);
+     }
+ };
+-
+-#endif  // XP_<PLATFORM>
++#endif
+ 
+ #ifdef HAVE_VSIZE_AND_RESIDENT_REPORTERS
+ class VsizeReporter MOZ_FINAL : public MemoryReporterBase

Added: head/mail/thunderbird/files/patch-bug946560
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/thunderbird/files/patch-bug946560	Sat Dec 14 13:42:06 2013	(r336446)
@@ -0,0 +1,44 @@
+diff --git xpcom/base/nsMemoryInfoDumper.cpp xpcom/base/nsMemoryInfoDumper.cpp
+index 0b2f78c..d857374 100644
+--- mozilla/xpcom/base/nsMemoryInfoDumper.cpp
++++ mozilla/xpcom/base/nsMemoryInfoDumper.cpp
+@@ -30,7 +30,7 @@
+ #include <unistd.h>
+ #endif
+ 
+-#ifdef XP_LINUX
++#if defined(XP_LINUX) || defined(__FreeBSD__)
+ #include <fcntl.h>
+ #include <sys/types.h>
+ #include <sys/stat.h>
+@@ -109,7 +109,7 @@ private:
+ 
+ } // anonymous namespace
+ 
+-#ifdef XP_LINUX // {
++#if defined(XP_LINUX) || defined(__FreeBSD__) // {
+ namespace {
+ 
+ /*
+@@ -548,7 +548,7 @@ nsMemoryInfoDumper::~nsMemoryInfoDumper(
+ /* static */ void
+ nsMemoryInfoDumper::Initialize()
+ {
+-#ifdef XP_LINUX
++#if defined(XP_LINUX) || defined(__FreeBSD__)
+   SignalPipeWatcher::Create();
+   FifoWatcher::MaybeCreate();
+ #endif
+diff --git xpcom/base/nsMemoryReporterManager.cpp xpcom/base/nsMemoryReporterManager.cpp
+index 8c65665..8f6d0e9 100644
+--- mozilla/xpcom/base/nsMemoryReporterManager.cpp
++++ mozilla/xpcom/base/nsMemoryReporterManager.cpp
+@@ -824,7 +824,7 @@ nsMemoryReporterManager::Init()
+     RegisterReporter(new mozilla::dmd::DMDReporter);
+ #endif
+ 
+-#if defined(XP_LINUX)
++#if defined(XP_LINUX) || defined(__FreeBSD__)
+     nsMemoryInfoDumper::Initialize();
+ #endif
+ 

Modified: head/mail/thunderbird/files/patch-ldap-sdks-c-sdk-ldap-libraries-libprldap-Makefile.in
==============================================================================
--- head/mail/thunderbird/files/patch-ldap-sdks-c-sdk-ldap-libraries-libprldap-Makefile.in	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/thunderbird/files/patch-ldap-sdks-c-sdk-ldap-libraries-libprldap-Makefile.in	Sat Dec 14 13:42:06 2013	(r336446)
@@ -4,7 +4,7 @@
  CUSTOM_LIBS=1
  endif
  
-+ifeq ($(OS_ARCH), FreeBSD)
++ifneq (,$(filter DragonFly FreeBSD,$(OS_ARCH)))
 +EXTRA_LIBS = -L$(dist_libdir) -l$(LBER_LIBNAME) -lpthread
 +EXTRA_LIBS+= $(filter -L% -l%,${NSPRLINK})
 +CUSTOM_LIBS=1

Modified: head/mail/thunderbird/files/patch-mail-app-nsMailApp.cpp
==============================================================================
--- head/mail/thunderbird/files/patch-mail-app-nsMailApp.cpp	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/thunderbird/files/patch-mail-app-nsMailApp.cpp	Sat Dec 14 13:42:06 2013	(r336446)
@@ -4,7 +4,7 @@
    TriggerQuirks();
  #endif
  
-+  setenv("MOZ_PLUGIN_PATH", "%%LOCALBASE%%/lib/browser_plugins/symlinks/gecko19:%%LOCALBASE%%/lib/npapi/symlinks/thunderbird", 0);
++  setenv("MOZ_PLUGIN_PATH", "%%LOCALBASE%%/lib/browser_plugins/symlinks/gecko", 0);
    nsresult rv = mozilla::BinaryPath::Get(argv[0], exePath);
    if (NS_FAILED(rv)) {
      Output("Couldn't calculate the application directory.\n");

Modified: head/mail/thunderbird/files/thunderbird.desktop.in
==============================================================================
--- head/mail/thunderbird/files/thunderbird.desktop.in	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/mail/thunderbird/files/thunderbird.desktop.in	Sat Dec 14 13:42:06 2013	(r336446)
@@ -3,9 +3,9 @@ Encoding=UTF-8
 Name=Thunderbird
 GenericName=Mail Client
 Comment=Mail client and News Reader
-Exec=@MOZILLA@ %U
+Exec=@MOZILLA@ %u
 Icon=@PORTNAME_ICON@
-StartupNotify=false
+StartupNotify=true
 Terminal=false
 Type=Application
-Categories=Application;Network;
+Categories=Network;Email;News;InstantMessaging;

Modified: head/security/ca_root_nss/Makefile
==============================================================================
--- head/security/ca_root_nss/Makefile	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/security/ca_root_nss/Makefile	Sat Dec 14 13:42:06 2013	(r336446)
@@ -2,7 +2,6 @@
 
 PORTNAME=	ca_root_nss
 PORTVERSION=	${VERSION_NSS}
-PORTREVISION=	1
 CATEGORIES=	security
 MASTER_SITES=	MOZILLA/security/nss/releases/${DISTNAME:U:C/[-.]/_/g}_RTM/src
 DISTNAME=	nss-${VERSION_NSS}${NSS_SUFFIX}
@@ -25,7 +24,7 @@ PLIST_SUB+=	CERTDIR=${CERTDIR}
 # !!!  Please DO NOT submit patches for new version until it has !!!
 # !!!  been committed there first.                               !!!
 # !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-VERSION_NSS=	3.15.2
+VERSION_NSS=	3.15.3.1
 #NSS_SUFFIX=	.with.ckbi.1.93
 CERTDATA_TXT_PATH=	nss-${VERSION_NSS}/nss/lib/ckfw/builtins/certdata.txt
 BUNDLE_PROCESSOR=	MAca-bundle.pl

Modified: head/security/ca_root_nss/distinfo
==============================================================================
--- head/security/ca_root_nss/distinfo	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/security/ca_root_nss/distinfo	Sat Dec 14 13:42:06 2013	(r336446)
@@ -1,2 +1,2 @@
-SHA256 (nss-3.15.2.tar.gz) = 7b2c80d18c49581edbdb509cbf7afd61d8c53658f2a38ff20e224c1909faeddc
-SIZE (nss-3.15.2.tar.gz) = 6288669
+SHA256 (nss-3.15.3.1.tar.gz) = 607a913882540df81f74152e8aa492e0dd09c5d3f2c7321f18c69ee501fc6ba5
+SIZE (nss-3.15.3.1.tar.gz) = 6289657

Modified: head/security/nss/Makefile
==============================================================================
--- head/security/nss/Makefile	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/security/nss/Makefile	Sat Dec 14 13:42:06 2013	(r336446)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	nss
-PORTVERSION=	3.15.2
+PORTVERSION=	3.15.3.1
 #DISTVERSIONSUFFIX=	.with.ckbi.1.93
 CATEGORIES=	security
 MASTER_SITES=	MOZILLA/security/${PORTNAME}/releases/${DISTNAME:U:C/[-.]/_/g}_RTM/src
@@ -11,7 +11,7 @@ MAINTAINER=	gecko@FreeBSD.org
 COMMENT=	Libraries to support development of security-enabled applications
 
 BUILD_DEPENDS=	zip:${PORTSDIR}/archivers/zip \
-		nspr>=4.10:${PORTSDIR}/devel/nspr \
+		nspr>=4.10.2:${PORTSDIR}/devel/nspr \
 		sqlite3>=3.7.15:${PORTSDIR}/databases/sqlite3
 LIB_DEPENDS=	nspr4.1:${PORTSDIR}/devel/nspr \
 		sqlite3.8:${PORTSDIR}/databases/sqlite3

Modified: head/security/nss/distinfo
==============================================================================
--- head/security/nss/distinfo	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/security/nss/distinfo	Sat Dec 14 13:42:06 2013	(r336446)
@@ -1,2 +1,2 @@
-SHA256 (nss-3.15.2.tar.gz) = 7b2c80d18c49581edbdb509cbf7afd61d8c53658f2a38ff20e224c1909faeddc
-SIZE (nss-3.15.2.tar.gz) = 6288669
+SHA256 (nss-3.15.3.1.tar.gz) = 607a913882540df81f74152e8aa492e0dd09c5d3f2c7321f18c69ee501fc6ba5
+SIZE (nss-3.15.3.1.tar.gz) = 6289657

Modified: head/security/vuxml/vuln.xml
==============================================================================
--- head/security/vuxml/vuln.xml	Sat Dec 14 13:38:47 2013	(r336445)
+++ head/security/vuxml/vuln.xml	Sat Dec 14 13:42:06 2013	(r336446)
@@ -51,6 +51,101 @@ Note:  Please add new entries to the beg
 
 -->
 <vuxml xmlns="http://www.vuxml.org/apps/vuxml-1">
+  <vuln vid="dd116b19-64b3-11e3-868f-0025905a4771">
+    <topic>mozilla -- multiple vulnerabilities</topic>
+    <affects>
+      <package>
+	<name>firefox</name>
+	<range><gt>25.0,1</gt><lt>26.0,1</lt></range>
+	<range><lt>24.2.0,1</lt></range>
+      </package>
+      <package>
+	<name>linux-firefox</name>
+	<range><lt>26.0,1</lt></range>
+      </package>
+      <package>
+	<name>linux-seamonkey</name>
+	<range><lt>2.23</lt></range>
+      </package>
+      <package>
+	<name>linux-thunderbird</name>
+	<range><lt>24.2.0</lt></range>
+      </package>
+      <package>
+	<name>seamonkey</name>
+	<range><lt>2.23</lt></range>
+      </package>
+      <package>
+	<name>thunderbird</name>
+	<range><lt>24.2.0</lt></range>
+      </package>
+    </affects>
+    <description>
+      <body xmlns="http://www.w3.org/1999/xhtml">
+	<p>The Mozilla Project reports:</p>
+	<blockquote cite="http://www.mozilla.org/security/known-vulnerabilities/">

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2013-12-14 14:41:25 UTC
Author: flo
Date: Sat Dec 14 14:41:17 2013
New Revision: 336451
URL: http://svnweb.freebsd.org/changeset/ports/336451

Log:
  - ALSA now supports playing HTML5 audio with 32-bit sample format [1]
    after being converted from float as passed by firefox/libcubeb [2]
  - Restore behavior from r296140 while adding alignment options in case
    of issues. This should make things slightly less broken and add more
    sample formats. [1]
  - Some apps (e.g. linux-firefox with ports/169896) don't check with ALSA
    which sample formats are supported and just feed whatever they like,
    assuming the underlying device supports it.
    While here also fix mixer device for OSS plugin. It should be /dev/dsp
    according to 4Front OSS wiki. The only works with ARIFF_OSS enabled
    but the volume is reset on close(). audio/oss doesn't work either way:
    the new (OSSv4) way to control mixer is via SNDCTL_MIX_* ioctls. [2]
  
  PR:		ports/183861 [1]
  PR:		ports/184006 [2]
  Submitted by:	Jan Beich <jbeich@tormail.org>
  Approved by:	maintainer timeout

Modified:
  head/audio/alsa-lib/Makefile
  head/audio/alsa-lib/files/asound.conf.sample   (contents, props changed)
  head/audio/alsa-plugins/Makefile
  head/audio/alsa-plugins/files/alsa-plugins.patch   (contents, props changed)
  head/audio/alsa-plugins/files/patch-oss-ctl_oss.c   (contents, props changed)

Modified: head/audio/alsa-lib/Makefile
==============================================================================
--- head/audio/alsa-lib/Makefile	Sat Dec 14 14:35:11 2013	(r336450)
+++ head/audio/alsa-lib/Makefile	Sat Dec 14 14:41:17 2013	(r336451)
@@ -3,6 +3,7 @@
 
 PORTNAME=	alsa-lib
 PORTVERSION=	1.0.27.2
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	ALSA/lib \
 		GENTOO/distfiles

Modified: head/audio/alsa-lib/files/asound.conf.sample
==============================================================================
--- head/audio/alsa-lib/files/asound.conf.sample	Sat Dec 14 14:35:11 2013	(r336450)
+++ head/audio/alsa-lib/files/asound.conf.sample	Sat Dec 14 14:41:17 2013	(r336451)
@@ -1,42 +1,65 @@
 #
 # FreeBSD/OSS
 #
+pcm_slave.oss {
+	pcm.type oss
+}
+
 pcm.!default {
-	type oss
-	device /dev/dsp
+	type plug
+	slave oss
 }
 
 ctl.!default {
 	type oss
-	device /dev/mixer
 }
 
 #
 # Remap all possible surround stuffs.
 #
+pcm.!front {
+	type plug
+	slave oss
+}
+
+pcm.!rear {
+	type plug
+	slave oss
+}
+
+pcm.!center_lfe {
+	type plug
+	slave oss
+}
+
+pcm.!side {
+	type plug
+	slave oss
+}
+
 pcm.!surround40 {
-	type oss
-	device /dev/dsp
+	type plug
+	slave oss
 }
 
 pcm.!surround41 {
-	type oss
-	device /dev/dsp
+	type plug
+	slave oss
 }
 
 pcm.!surround50 {
-	type oss
-	device /dev/dsp
+	type plug
+	slave oss
 }
 
 pcm.!surround51 {
-	type oss
-	device /dev/dsp
+	type plug
+	slave oss
 }
 
 pcm.!surround71 {
-	type oss
-	device /dev/dsp
+	type plug
+	slave oss
 }
 
 #

Modified: head/audio/alsa-plugins/Makefile
==============================================================================
--- head/audio/alsa-plugins/Makefile	Sat Dec 14 14:35:11 2013	(r336450)
+++ head/audio/alsa-plugins/Makefile	Sat Dec 14 14:41:17 2013	(r336451)
@@ -3,7 +3,7 @@
 
 PORTNAME=	alsa-plugins
 PORTVERSION=	1.0.27
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	ALSA/plugins \
 		GENTOO/distfiles
@@ -17,15 +17,36 @@ USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USES=		pkgconfig
 LDFLAGS+=	-L${LOCALBASE}/lib
+EXTRA_PATCHES+=	${FILESDIR}/alsa-plugins.patch
 
-OPTIONS_DEFINE=	ARIFF_OSS JACK FFMPEG PULSEAUDIO SAMPLERATE SPEEX
+OPTIONS_DEFAULT=BUFSZ_P2 IO_PTR
+OPTIONS_DEFINE=	JACK FFMPEG PULSEAUDIO SAMPLERATE SPEEX
 OPTIONS_SUB=	${OPTIONS_DEFINE}
-ARIFF_OSS_DESC=	FreeBSD-specific OSS plugin
+
+OPTIONS_GROUP=	OSS
+OPTIONS_GROUP_OSS=IO_PTR BLKCNT_P2 BUFSZ_P2 VERBOSE
+
+IO_PTR_DESC=	Precise playback/recording pointer
+BLKCNT_P2_DESC=	Restrict number of fragments to ^2 aligned
+BUFSZ_P2_DESC=	Restrict buffer size to ^2 aligned (breaks aplay)
+VERBOSE_DESC=	Print debugging messages
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MARIFF_OSS}
-EXTRA_PATCHES+=	${FILESDIR}/alsa-plugins.patch
+.if ${PORT_OPTIONS:MIO_PTR}
+CFLAGS+=	-DFREEBSD_OSS_USE_IO_PTR
+.endif
+
+.if ${PORT_OPTIONS:MBLKCNT_P2}
+CFLAGS+=	-DFREEBSD_OSS_BLKCNT_P2
+.endif
+
+.if ${PORT_OPTIONS:MBUFSZ_P2}
+CFLAGS+=	-DFREEBSD_OSS_BUFSZ_P2
+.endif
+
+.if ${PORT_OPTIONS:MVERBOSE}
+CFLAGS+=	-DFREEBSD_OSS_DEBUG_VERBOSE
 .endif
 
 .if ${PORT_OPTIONS:MJACK}

Modified: head/audio/alsa-plugins/files/alsa-plugins.patch
==============================================================================
--- head/audio/alsa-plugins/files/alsa-plugins.patch	Sat Dec 14 14:35:11 2013	(r336450)
+++ head/audio/alsa-plugins/files/alsa-plugins.patch	Sat Dec 14 14:41:17 2013	(r336451)
@@ -42,7 +42,7 @@
  	oss->ext.private_data = oss;
 --- oss/pcm_oss.c.orig	2009-08-31 21:09:41.000000000 +0800
 +++ oss/pcm_oss.c	2009-09-28 14:54:12.000000000 +0800
-@@ -22,17 +22,55 @@
+@@ -22,17 +22,48 @@
  #include <sys/ioctl.h>
  #include <alsa/asoundlib.h>
  #include <alsa/pcm_external.h>
@@ -54,18 +54,11 @@
 +#define ARRAY_SIZE(x)	(sizeof(x) / sizeof(*(x)))
 +
 +#ifdef __FreeBSD__
-+/* #define FREEBSD_OSS_USE_IO_PTR	1 */
-+/* #define FREEBSD_OSS_BLKCNT_P2	1 */
-+/* #define FREEBSD_OSS_DEBUG_VERBOSE	1 */
-+#undef FREEBSD_OSS_USE_IO_PTR	/* _IPTR is buggy ... Grr... */
-+#undef FREEBSD_OSS_BLKCNT_P2
-+#undef FREEBSD_OSS_DEBUG_VERBOSE
-+
 +#define FREEBSD_OSS_RATE_MIN	1
 +#define FREEBSD_OSS_RATE_MAX	384000
 +
 +#define FREEBSD_OSS_CHANNELS_MIN	1
-+#if __FreeBSD_version >= 800096
++#ifndef __DragonFly__
 +#define FREEBSD_OSS_CHANNELS_MAX	8
 +#else
 +#define FREEBSD_OSS_CHANNELS_MAX	2
@@ -73,7 +66,7 @@
 +
 +#define FREEBSD_OSS_BUFSZ_MAX	131072
 +#define FREEBSD_OSS_BLKCNT_MIN	2
-+#define FREEBSD_OSS_BLKSZ_MIN	16 /* (FREEBSD_OSS_CHANNEL_MAX * 4) */
++#define FREEBSD_OSS_BLKSZ_MIN	16 /* (FREEBSD_OSS_CHANNELS_MAX * 4) */
 +
 +#define FREEBSD_OSS_BUFSZ_MIN	(FREEBSD_OSS_BLKCNT_MIN * FREEBSD_OSS_BLKSZ_MIN)
 +#define FREEBSD_OSS_BLKCNT_MAX	(FREEBSD_OSS_BUFSZ_MAX / FREEBSD_OSS_BUFSZ_MIN)
@@ -461,7 +454,7 @@
  
  	if ((flags = fcntl(oss->fd, F_GETFL)) < 0) {
  		err = -errno;
-@@ -229,10 +530,128 @@
+@@ -229,10 +530,146 @@
  	return 0;
  }
  
@@ -478,6 +471,9 @@
 +#ifdef FREEBSD_OSS_BLKCNT_P2
 +	unsigned int period_list[30];
 +#endif
++#ifdef FREEBSD_OSS_BUFSZ_P2
++	unsigned int bufsz_list[30];
++#endif
 +	unsigned int nformats;
 +	unsigned int format[ARRAY_SIZE(oss_formats_tab)];
 +#if 0
@@ -580,6 +576,21 @@
 +	if (err < 0)
 +		return err;
 +
++#ifdef FREEBSD_OSS_BUFSZ_P2
++	tmp = 0;
++	for (i = 1; i < 31 && tmp < ARRAY_SIZE(bufsz_list); i++) {
++		if ((1 << i) > FREEBSD_OSS_BUFSZ_MAX)
++			break;
++		if ((1 << i) < FREEBSD_OSS_BUFSZ_MIN)
++			continue;
++		bufsz_list[tmp++] = 1 << i;
++	}
++
++	if (tmp > 0)
++		err = snd_pcm_ioplug_set_param_list(io,
++		    SND_PCM_IOPLUG_HW_BUFFER_BYTES, tmp, bufsz_list);
++	else
++#endif
 +	/* buffer size , not strictly ^2 */
 +	err = snd_pcm_ioplug_set_param_minmax(io,
 +	    SND_PCM_IOPLUG_HW_BUFFER_BYTES, FREEBSD_OSS_BUFSZ_MIN,

Modified: head/audio/alsa-plugins/files/patch-oss-ctl_oss.c
==============================================================================
--- head/audio/alsa-plugins/files/patch-oss-ctl_oss.c	Sat Dec 14 14:35:11 2013	(r336450)
+++ head/audio/alsa-plugins/files/patch-oss-ctl_oss.c	Sat Dec 14 14:41:17 2013	(r336451)
@@ -12,3 +12,12 @@
  
  typedef struct snd_ctl_oss {
  	snd_ctl_ext_t ext;
+@@ -52,7 +56,7 @@ static const char *const vol_devices[SOU
+ 	[SOUND_MIXER_CD] =	"CD Playback Volume",
+ 	[SOUND_MIXER_IMIX] =	"Monitor Mix Playback Volume",
+ 	[SOUND_MIXER_ALTPCM] =	"Headphone Playback Volume",
+-	[SOUND_MIXER_RECLEV] =	"Capture Volume",
++	[SOUND_MIXER_RECLEV] =	"Master Capture Volume",
+ 	[SOUND_MIXER_IGAIN] =	"Capture Volume",
+ 	[SOUND_MIXER_OGAIN] =	"Playback Volume",
+ 	[SOUND_MIXER_LINE1] =	"Aux Playback Volume",
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Florian Smeets freebsd_committer 2013-12-14 14:44:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!